#include <iostream>

int main() {
    int n, l;
    int a[1100];
    std::cin>>n>>l;
    for(int i=0 ; i<n ; i++)
    {
        std::cin>>a[i];
    }
    int ctr=-1;
    for(int i=0 ; i<n ; i++)
    {
        if(a[i]<=l) 
        {
            ctr=i+1;
            break;
        }
    }
    std::cout<<ctr;
    
    return 0;
}